﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.34003
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ContractGenerator {
    /// <summary>
    ///   A strongly-typed resource class, for looking up localized strings, etc.
    /// </summary>
    // This class was auto-generated by the StronglyTypedResourceBuilder
    // class via a tool like ResGen or Visual Studio.
    // To add or remove a member, edit your .ResX file then rerun ResGen
    // with the /str option, or rebuild your VS project.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    internal class Resources {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal Resources() {
        }
        
        /// <summary>
        ///   Returns the cached ResourceManager instance used by this class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("ContractGenerator.Resources", typeof(Resources).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Overrides the current thread's CurrentUICulture property for all
        ///   resource lookups using this strongly typed resource class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to CELERIAC_HOME.
        /// </summary>
        internal static string CeleriacEnvironmentVariable {
            get {
                return ResourceManager.GetString("CeleriacEnvironmentVariable", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Must define the CELERIAC_HOME environment variable.
        /// </summary>
        internal static string CeleriacEnvironmentVariableUndefined {
            get {
                return ResourceManager.GetString("CeleriacEnvironmentVariableUndefined", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to CeleriacLauncher.exe.
        /// </summary>
        internal static string CeleriacExecutable {
            get {
                return ResourceManager.GetString("CeleriacExecutable", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Celeriac executable not found.\n.
        /// </summary>
        internal static string CeleriacExecutableNotFound {
            get {
                return ResourceManager.GetString("CeleriacExecutableNotFound", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to inserter.contracts.
        /// </summary>
        internal static string ContractsFile {
            get {
                return ResourceManager.GetString("ContractsFile", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to inserter.dtrace.
        /// </summary>
        internal static string DtraceFile {
            get {
                return ResourceManager.GetString("DtraceFile", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Contract generation failed.\n\n {0}.
        /// </summary>
        internal static string GenerationFailedError {
            get {
                return ResourceManager.GetString("GenerationFailedError", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to inserter.invariants.
        /// </summary>
        internal static string InvariantsFile {
            get {
                return ResourceManager.GetString("InvariantsFile", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Path to Celeriac not specified in the configuration.
        /// </summary>
        internal static string PathToCeleriacNotSetError {
            get {
                return ResourceManager.GetString("PathToCeleriacNotSetError", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to inserter_pure_methods.pure.
        /// </summary>
        internal static string PureMethodsFile {
            get {
                return ResourceManager.GetString("PureMethodsFile", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to SEALHOME.
        /// </summary>
        internal static string SealEnvironmentVariable {
            get {
                return ResourceManager.GetString("SealEnvironmentVariable", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Skipping purity analysis (CLR version too high).
        /// </summary>
        internal static string SkippingPurityAnalysis {
            get {
                return ResourceManager.GetString("SkippingPurityAnalysis", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to There were errors building the solution. Please fix and try again..
        /// </summary>
        internal static string SolutionBuildFailedError {
            get {
                return ResourceManager.GetString("SolutionBuildFailedError", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Building solution.
        /// </summary>
        internal static string StatusBuildingSolution {
            get {
                return ResourceManager.GetString("StatusBuildingSolution", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Instrumenting and running program.
        /// </summary>
        internal static string StatusCeleriac {
            get {
                return ResourceManager.GetString("StatusCeleriac", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Calculating program invariants.
        /// </summary>
        internal static string StatusDaikon {
            get {
                return ResourceManager.GetString("StatusDaikon", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Formatting program invariants.
        /// </summary>
        internal static string StatusDaikonPrint {
            get {
                return ResourceManager.GetString("StatusDaikonPrint", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Error.
        /// </summary>
        internal static string StatusError {
            get {
                return ResourceManager.GetString("StatusError", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Parsing contracts.
        /// </summary>
        internal static string StatusParsingContracts {
            get {
                return ResourceManager.GetString("StatusParsingContracts", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Parsing solution.
        /// </summary>
        internal static string StatusParsingSolution {
            get {
                return ResourceManager.GetString("StatusParsingSolution", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Running automated purity analysis.
        /// </summary>
        internal static string StatusSeal {
            get {
                return ResourceManager.GetString("StatusSeal", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to Generation finished.
        /// </summary>
        internal static string StatusSuccess {
            get {
                return ResourceManager.GetString("StatusSuccess", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to inserter_unioned_pure_methods.pure.
        /// </summary>
        internal static string UnionedPurityFile {
            get {
                return ResourceManager.GetString("UnionedPurityFile", resourceCulture);
            }
        }
    }
}
